Passer au contenu principal
DELETE
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
/
{file_id}
Supprimer un fichier de blueprint
curl --request DELETE \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files/{file_id} \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Autorisations

Nécessite un utilisateur de service doté de l’autorisation ManageRepoBlueprints au niveau de l’organisation.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

blueprint_id
string
requis
file_id
string
requis
org_id
string
requis

ID de l’organisation (préfixe : org-)

Exemple:

"org-abc123def456"

Réponse

Réponse réussie